# Generated by Django 5.0.4 on 2024-05-15 09:15

from django.db import migrations


def add_name_titles(apps, schema_editor):
    DistrictPersonPage = apps.get_model("district", "DistrictPersonPage")

    for person_page in DistrictPersonPage.objects.all():
        title = person_page.title.lower()

        if "bc. et bc." in title:
            person_page.title = (
                person_page.title.replace("Bc. et Bc. ", "")
                .replace("BC. et BC. ", "")
                .replace("Bc. et Bc.", "")
                .replace("BC. et BC.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "Bc. et Bc."

        if "bc." in title:
            person_page.title = (
                person_page.title.replace("Bc. ", "")
                .replace("BC. ", "")
                .replace("Bc.", "")
                .replace("BC.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "Bc."

        if "ing." in title:
            person_page.title = (
                person_page.title.replace("Ing. ", "")
                .replace("ING. ", "")
                .replace("Ing.", "")
                .replace("ING.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "Ing."

        if "mgr. et mgr." in title:
            person_page.title = (
                person_page.title.replace("Mgr. et Mgr. ", "")
                .replace("MGR. et MGR. ", "")
                .replace("Mgr. et Mgr.", "")
                .replace("MGR. et MGR.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "Mgr. et Mgr."

        if "mgr." in title:
            person_page.title = (
                person_page.title.replace("Mgr. ", "")
                .replace("MGR. ", "")
                .replace("Mgr.", "")
                .replace("MGR.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "Mgr."

        if "mudr. et mudr." in title:
            person_page.title = (
                person_page.title.replace("MUDr. et MUDr. ", "")
                .replace("MUDR. et MUDR. ", "")
                .replace("MUDr. et MUDr.", "")
                .replace("MUDR. et MUDR.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "MUDr. et MUDr."

        if "mudr." in title:
            person_page.title = (
                person_page.title.replace("MUDr. ", "")
                .replace("MUDR. ", "")
                .replace("MUDr.", "")
                .replace("MUDR.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "MUDr."

        if "rndr. et rndr." in title:
            person_page.title = (
                person_page.title.replace("RNDr. et RNDr. ", "")
                .replace("RNDR. et RNDR. ", "")
                .replace("RNDr. et RNDr.", "")
                .replace("RNDR. et RNDR.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "RNDr. et RNDr"

        if "rndr." in title:
            person_page.title = (
                person_page.title.replace("RNDr. ", "")
                .replace("RNDR. ", "")
                .replace("RNDr.", "")
                .replace("RNDR.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "RNDr."

        if "phdr. et phdr." in title:
            person_page.title = (
                person_page.title.replace("PhDr. et PhDr. ", "")
                .replace("PHDR. et PHDR. ", "")
                .replace("PhDr. et PhDr.", "")
                .replace("PHDR. et PHDR.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "PhDr. et PhDr."

        if "phdr." in title:
            person_page.title = (
                person_page.title.replace("PhDr. ", "")
                .replace("PHDR. ", "")
                .replace("PhDr.", "")
                .replace("PHDR.", "")
            )

            title = person_page.title.lower()

            person_page.before_name = "PhDr."

        if "ph.d." in title:
            person_page.title = (
                person_page.title.replace("Ph.D. ", "")
                .replace("PH.D. ", "")
                .replace("Ph.D.", "")
                .replace("PH.D.", "")
            )

            title = person_page.title.lower()

            person_page.after_name = "Ph.D."

        if "ph.d. et ph.d." in title:
            person_page.title = (
                person_page.title.replace("Ph.D. et Ph.D. ", "")
                .replace("PH.D. et PH.D. ", "")
                .replace("Ph.D. et Ph.D.", "")
                .replace("PH.D. et PH.D.", "")
            )

            title = person_page.title.lower()

            person_page.after_name = "Ph.D. et Ph.D."

        person_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0170_districtpersonpage_after_name_and_more"),
    ]

    operations = [migrations.RunPython(add_name_titles)]
